Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  Alle PMIs in ASm, PAR und PSM ausblenden

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Alle PMIs in ASm, PAR und PSM ausblenden (205 mal gelesen)
Solid-Man
Mitglied
CAD-Admin; Projektleiter Sondermaschinenbau


Sehen Sie sich das Profil von Solid-Man an!   Senden Sie eine Private Message an Solid-Man  Schreiben Sie einen Gästebucheintrag für Solid-Man

Beiträge: 891
Registriert: 25.04.2000

Win 10 Enterprise 64bit<P>Fujitsu Celsius W580
- Intel Xeon E-2174G 3.80GHz -> bis zu 4,70 GHz
- 16GB DDR4-2666 ECC RAM (2x8GB)
- NVIDIA P2000 5GB
- SSD PCIe 512GB M.2 Highend<P>CAD SolidEdge ST9 MP15 64bit
PRO.FILE 8.6 32bit<P>>30 User
Sondermaschinenbau

erstellt am: 04. Sep. 2019 08:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo an Alle,

kann mir Jemand den VB.NET Code zum Ausblenden aller PMI's geben.
Ich möchte gerne ein Speichern Makro erweitern und eben immer alle Maße vorher ausblenden.

------------------
Gruss,

Solid-Man 

Zitat:
Am Ende wird Alles gut und wenn es noch nicht gut ist, dann sind wir noch nicht am Ende!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arne Peters
Ehrenmitglied V.I.P. h.c.
CAD Dokumentation / Training / Programmierung / Datenbanken


Sehen Sie sich das Profil von Arne Peters an!   Senden Sie eine Private Message an Arne Peters  Schreiben Sie einen Gästebucheintrag für Arne Peters

Beiträge: 6416
Registriert: 05.2002.24

Solid Edge Seminarunterlagen
Training, Beratung, Programmierung

erstellt am: 04. Sep. 2019 08:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Solid-Man 10 Unities + Antwort hilfreich

Ich würde mal hier suche:
- Library: SolidEdgeFrameworkSupport
  - PMI
    - Show As Boolean
    - ShowAnnotation...

------------------
Arne

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BerndB
Mitglied
Ingenieur


Sehen Sie sich das Profil von BerndB an!   Senden Sie eine Private Message an BerndB  Schreiben Sie einen Gästebucheintrag für BerndB

Beiträge: 593
Registriert: 28.09.2001

erstellt am: 16. Sep. 2019 16:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Solid-Man 10 Unities + Antwort hilfreich

Hallo Zurück,
stehe vor einer ähnlichen Problematik. Siehe neuer Beitrag.

Ausblenden in Teilen geht. Dann kann man Sie aber nur mühsam wieder mit einblenden sichtbar machen.
Die Eigenschaft Alle sichtbar - unsichtbar geht bei mir nicht. Also Häkchen setzen von Hand.


      objDocument.PMI.Show = False/true
Sehe da keinen unterschied.

So Ja:
objDocument.PMI.ShowDimensions = False
            objDocument.PMI.ShowAnnotations = False
            objDocument.PMI.ShowDimensions = True
            objDocument.PMI.ShowAnnotations = True

Alles andere auch ohne Erfolg:

            Dim PMIObj As SolidEdgeFrameworkSupport.PMI
            objDocument.SuspendPMI(False)
            objDocument.PMI_ByModelState(PMIObj)
            PMIObj.Show = False

            'For Each objFeature In objFeatures
            '    objFeature.ShowDimensions = True
            '    ' Hide all non-tolerant Feature dimensions
            '    Dim nDims As Integer = 0
            '    Dim objDims() As Object = New Object() {}
            '    Select Case objFeature.Type
            '        Case FeatureTypeConstants.igExtrudedProtrusionFeatureObject()
            '            Dim objF As SolidEdgePart.ExtrudedProtrusion =
            '            objFeature
            '            objF.GetDimensions(nDims, objDims)
            '        Case FeatureTypeConstants.igExtrudedCutoutFeatureObject()
            '            Dim objF As SolidEdgePart.ExtrudedCutout =
            '            objFeature
            '            objF.GetDimensions(nDims, objDims)
            '            '... more cases to add ...
            '    End Select
            '    For Each objDim In objDims
            '        If bResetDims Or (objDim.DisplayType =
            '        DimDispTypeConstants.igDimDisplayTypeTolerance) Or _
            '        (objDim.DisplayType =
            '        DimDispTypeConstants.igDimDisplayTypeTolerance) Then
            '            objDim.HidePMI = False
            '        Else
            '            objDim.HidePMI = True
            '        End If
            '    Next
            'Next

------------------
Complaining about the way wheels never worked properly however often you laid them flat and pushed them.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arne Peters
Ehrenmitglied V.I.P. h.c.
CAD Dokumentation / Training / Programmierung / Datenbanken


Sehen Sie sich das Profil von Arne Peters an!   Senden Sie eine Private Message an Arne Peters  Schreiben Sie einen Gästebucheintrag für Arne Peters

Beiträge: 6416
Registriert: 05.2002.24

Solid Edge Seminarunterlagen
Training, Beratung, Programmierung

erstellt am: 16. Sep. 2019 17:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Solid-Man 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Arne Peters:
Ich würde mal hier suche:
- Library: SolidEdgeFrameworkSupport
  - PMI
    - Show As Boolean
    - ShowAnnotation...


Damit wollte ich den Weg aufzeigen. Das ist nicht der Code. 

------------------
Arne

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BerndB
Mitglied
Ingenieur


Sehen Sie sich das Profil von BerndB an!   Senden Sie eine Private Message an BerndB  Schreiben Sie einen Gästebucheintrag für BerndB

Beiträge: 593
Registriert: 28.09.2001

erstellt am: 17. Sep. 2019 12:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Solid-Man 10 Unities + Antwort hilfreich

Hallo zurück,

Danke für die Hinweise.

Was auch immer Show macht  leider bei mir sehe ich keinen unterschied
Analog zu:    objDocument.PMI.Show = False/true auch nichts anders im Teil..
Evtl. Ja SolidEdge API BUG.


Eine Schleife über alle Elemente wie oben beschrieben
kann ich auch Ein-Ausblenden
Das ist aber nicht das Häkchen am Namen PMI
weil mit Ausblenden zwar das Häkchen dann auch nicht mehr sichtbar ist.
ABER
Häkchen wieder setzen an PMI blendet die PMI nicht wieder ein.
Sie bleiben solange nicht mehr sichtbar, bis mann Sie wieder z.B. unter PMI / Bemaßungen Rechte Maus wieder alle einblendet.

Wunsch:

Kick Ein Klick aus wie von Hand per API, so nicht...

Habe auch schon mit Filtern probiert und inzwischen eigentlich aufgegeben...

Gruß

Bernd B

------------------
Complaining about the way wheels never worked properly however often you laid them flat and pushed them.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arne Peters
Ehrenmitglied V.I.P. h.c.
CAD Dokumentation / Training / Programmierung / Datenbanken


Sehen Sie sich das Profil von Arne Peters an!   Senden Sie eine Private Message an Arne Peters  Schreiben Sie einen Gästebucheintrag für Arne Peters

Beiträge: 6416
Registriert: 05.2002.24

Solid Edge Seminarunterlagen
Training, Beratung, Programmierung

erstellt am: 17. Sep. 2019 13:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Solid-Man 10 Unities + Antwort hilfreich

Ich hab das nicht probiert.
Bei Show steht "Show or Hide PMI-Node".
Ich weiß auch nicht, was das genau meint.
Was passiert denn da bei Dir?

Der Rest ist wohl so. Ich tue mich in der BG schon zu Fuß mit dem Verhalten schwer. Wenn man mal Hide All macht, hilft der Klick auf das übergeordnete Kstchen auch nicht. Ist mühsam aber in sich eigentlich logisch.

------------------
Arne

[Diese Nachricht wurde von Arne Peters am 17. Sep. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz